Skip to main content
GET
/
v1
/
numbers
cURL
curl --request GET \
  --url https://api.fluents.ai/v1/numbers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fluents.ai/v1/numbers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fluents.ai/v1/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "user_id": "550e8400-e29b-41d4-a716-446655440000",
  "number": "+1234567890",
  "example_context": {},
  "active": true,
  "label": "My Phone Number",
  "inbound_agent_name": "Agent Name",
  "outbound_only": false,
  "telephony_provider": "twilio",
  "description": "Business line for customer service",
  "inbound_agent": "agent_123",
  "telephony_account_connection": "550e8400-e29b-41d4-a716-446655440000"
}
{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}
{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

phone_number
string
required

Response

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

number
string
required
Example:

"+1234567890"

example_context
object
required
active
boolean
Example:

true

label
string
Example:

"My Phone Number"

inbound_agent_name
string
Example:

"Agent Name"

outbound_only
boolean
Example:

false

telephony_provider
object
Example:

"twilio"

description
string
Example:

"Business line for customer service"

inbound_agent
object
Example:

"agent_123"

telephony_account_connection
object
Example:

"550e8400-e29b-41d4-a716-446655440000"